package dev.fyloz.colorrecipesexplorer.dtos.account

import com.fasterxml.jackson.annotation.JsonIgnore
import dev.fyloz.colorrecipesexplorer.dtos.EntityDto
import dev.fyloz.colorrecipesexplorer.model.account.Permission
import javax.validation.constraints.NotBlank
import javax.validation.constraints.NotEmpty

data class GroupDto(
    override val id: Long = 0L,

    @field:NotBlank
    val name: String,

    @field:NotEmpty
    val permissions: List<Permission>,

    val explicitPermissions: List<Permission> = listOf()
) : EntityDto
